Method: projects.locations.connections.gitRepositoryLinks.openPullRequest

GitRepositoryLink に関連付けられたリモート SCM リポジトリで pull リクエストを開きます。

HTTP リクエスト

POST https://developerconnect.googleapis.com/v1/{name=projects/*/locations/*/connections/*/gitRepositoryLinks/*}:openPullRequest

この URL では gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
name

string

必須。GitRepositoryLink リソース名(projects/*/locations/*/connections/*/gitRepositoryLinks/* の形式)。

リクエストの本文

リクエストの本文には、次の構造のデータが含まれます。

JSON 表現
{
  "pullRequest": {
    object (PullRequest)
  }
}
フィールド
pullRequest

object (PullRequest)

必須。開く pull リクエストの詳細。使用される入力フィールド: title、body、headRef、baseRef。

レスポンスの本文

成功した場合、レスポンスの本文には PullRequest のインスタンスが含まれます。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/cloud-platform

詳細については、Authentication Overview をご覧ください。

IAM 権限

name リソースに対する次の IAM 権限が必要です。

  • developerconnect.gitRepositoryLinks.openPullRequest

詳細については、IAM のドキュメントをご覧ください。